Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.management.j2ee
Class StatefulSessionBean

    java.lang.Object
      org.jboss.mx.util.JBossNotificationBroadcasterSupport
          org.jboss.system.ServiceMBeanSupport
              org.jboss.management.j2ee.J2EEManagedObject
                  org.jboss.management.j2ee.EJB
                      org.jboss.management.j2ee.SessionBean
                          org.jboss.management.j2ee.StatefulSessionBean

All Implemented Interfaces:
  EJBMBean, J2EEManagedObjectMBean, javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, javax.management.NotificationEmitter, Serializable, org.jboss.system.Service, org.jboss.system.ServiceMBean, SessionBeanMBean, StatefulSessionBeanMBean, StatisticsProvider

public class StatefulSessionBean
extends SessionBean
implements StatefulSessionBeanMBean

The JBoss JSR-77.3.14 implementation of the StatefulSessionBean model

Version:
  $Revision: 1.7 $
Author:
  Andreas Schaefer., thomas.diesler@jboss.org
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.jboss.management.j2ee.EJB
`ejbContainerName, ENTITY_BEAN, MESSAGE_DRIVEN_BEAN, STATEFUL_SESSION_BEAN, STATELESS_SESSION_BEAN`

Fields inherited from class org.jboss.management.j2ee.J2EEManagedObject
`NAME, TYPE`

Fields inherited from class org.jboss.system.ServiceMBeanSupport
`server, SERVICE_CONTROLLER_SIG, serviceName`

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, REGISTERED, START_EVENT, STARTED, STARTING, states, STOP_EVENT, STOPPED, STOPPING, UNREGISTERED`

Constructor Summary
`StatefulSessionBean(String name, javax.management.ObjectName ejbModuleName, javax.management.ObjectName ejbContainerName)` Create a StatelessSessionBean model

Method Summary
`javax.management.j2ee.statistics.Stats` | `getstats()` Query the ejb container and its mbeans for the bean stats: CreateCount, RemoveCount, MethodReadyCount, PassiveCount
`void` | `resetStats()` Reset all statistics in the StatisticsProvider
`String` | `toString()`

Methods inherited from class org.jboss.management.j2ee.EJB
`create, destroy, getContainerCacheName, getContainerName, getContainerPoolName, getParentKeys, updateCommonStats`

Methods inherited from class org.jboss.management.j2ee.J2EEManagedObject
`addChild, getobjectName, getObjectName, getObjectName, getparent, getType, getType, iseventProvider, isstateManageable, isstatisticsProvider, newObjectName, postCreation, postRegister, preDeregister, preDestruction, removeChild, removeObject, removeObject, sendNotification, setparent`

Methods inherited from class org.jboss.system.ServiceMBeanSupport
`create, createService, destroy, destroyService, getLog, getName, getNextNotificationSequenceNumber, getServer, getServiceName, getState, getStateString, jbossInternalCreate, jbossInternalDescription, jbossInternalDestroy, jbossInternalLifecycle, jbossInternalStart, jbossInternalStop, postDeregister, preRegister, start, startService, stop, stopService`

Methods inherited from class org.jboss.mx.util.JBossNotificationBroadcasterSupport
`addNotificationListener, getNotificationInfo, handleNotification, removeNotificationListener, removeNotificationListener, sendNotification`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.jboss.management.j2ee.J2EEManagedObjectMBean
`addChild, getobjectName, getparent, iseventProvider, isstateManageable, isstatisticsProvider, removeChild, setparent`

Methods inherited from interface org.jboss.system.ServiceMBean
`getName, getState, getStateString, jbossInternalLifecycle`

Methods inherited from interface org.jboss.system.Service
`create, destroy, start, stop`

Constructor Detail

### StatefulSessionBean

    public StatefulSessionBean(String name,
                               javax.management.ObjectName ejbModuleName,
                               javax.management.ObjectName ejbContainerName)
                        throws javax.management.MalformedObjectNameException,
                               InvalidParentException

  Create a StatelessSessionBean model

Parameters:
  `name` - the ejb name, currently the JNDI name
  `ejbModuleName` - the JSR-77 EJBModule name for this bean
  `ejbContainerName` - the JMX name of the JBoss ejb container MBean
Throws:
  `javax.management.MalformedObjectNameException`
  `InvalidParentException`

Method Detail

### getstats

    public javax.management.j2ee.statistics.Stats getstats()

  Query the ejb container and its mbeans for the bean stats: CreateCount, RemoveCount, MethodReadyCount, PassiveCount

  Specified by:
    `getstats` in interface `StatefulSessionBeanMBean`
  Specified by:
    `getstats` in class `EJB`
  Returns:
    the StatefulSessionBeanStats for this bean

### resetStats

    public void resetStats()

  Description copied from interface: `EJBMBean`
  Reset all statistics in the StatisticsProvider

  Specified by:
    `resetStats` in interface `StatefulSessionBeanMBean`
  Specified by:
    `resetStats` in class `EJB`

### toString

    public String toString()

  Overrides:
    `toString` in class `EJB`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.